Bug 128844 - Mounting CIFS shares causes kernel errors
Mounting CIFS shares causes kernel errors
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-07-30 10:35 EDT by Matthew
Modified: 2015-01-04 17:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:36:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew 2004-07-30 10:35:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040707 Firefox/0.9.2

Description of problem:
After mounting a CIFS share through either traditional mounting (i.e.
mount -t cifs //server/share /mnt/mountpoint 

-o user=user,pass=password,dom=domain)

or through the automounter (autofs), the following messages appear
quite frequently in the log (they seem to be 

related with each access attempt to the share):

Badness in sleep_on_timeout at kernel/sched.c:2550
 [<02281d85>] sleep_on_timeout+0x5d/0xb1
 [<02115e4e>] default_wake_function+0x0/0xc
 [<22a3dc29>] SendReceive+0x2d2/0x47c [cifs]
 [<22a2ed25>] CIFSSMBQPathInfo+0x197/0x215 [cifs]
 [<22a3a3cb>] cifs_get_inode_info+0x118/0x458 [cifs]
 [<22a3640c>] build_path_from_dentry+0x55/0xed [cifs]
 [<22a3b156>] cifs_revalidate+0x1a3/0x2d0 [cifs]
 [<22a3b283>] cifs_getattr+0x0/0x24 [cifs]
 [<22a3b291>] cifs_getattr+0xe/0x24 [cifs]
 [<22a3b283>] cifs_getattr+0x0/0x24 [cifs]
 [<02148973>] vfs_getattr+0x35/0x88
 [<02148a25>] vfs_lstat+0x25/0x37
 [<021552bf>] update_atime+0x60/0x9e
 [<02148f6f>] sys_lstat64+0xf/0x23
 [<0214fbb5>] filldir64+0x0/0x12e
 [<02142c87>] __fput+0xb3/0xd1
 [<021143fc>] do_page_fault+0x0/0x446

The mount seems to work correctly, however the number of these
messages that appear seem directly related to the 

number of accesses to the mountpoint.  I have noticed this so far on
two separate machines running a default 

install of FC2 with the latest kernel (2.6.6-1.435.2.3).

When switching back to using the standard smbfs mounting, the problem
goes away, which leads me to believe it is 

located in the CIFS kernel module.  However, CIFS is needed for
connecting to a Win2k3 network server (unless SMB 

signing is disabled for the domain, which may not be possible in some

How reproducible:

Steps to Reproduce:
1. Mount CIFS share
2. Access share
3. Watch kernel log message fly by
Comment 1 Per Nystrom 2004-08-25 12:17:52 EDT
I'm getting the same thing under 2.6.8-1.521.  Seems to be harmless,
but it's still disturbing:

Badness in sleep_on_timeout at kernel/sched.c:2562
 [<c026ae77>] sleep_on_timeout+0x5d/0xb1
 [<c0117417>] default_wake_function+0x0/0xc
 [<e09cd1ab>] SendReceive+0x31f/0x4c6 [cifs]
 [<c0117488>] __wake_up+0x11/0x1a
 [<c01c6bf2>] n_tty_receive_buf+0x970/0x9a7
 [<c01c6bfa>] n_tty_receive_buf+0x978/0x9a7
 [<e09bed1c>] CIFSSMBQFSInfo+0x142/0x21e [cifs]
 [<e09bb20d>] cifs_statfs+0x76/0xa3 [cifs]
 [<c0142188>] vfs_statfs+0x44/0x5c
 [<c0142281>] vfs_statfs64+0x11/0x28
 [<c014e8ec>] __user_walk+0x4a/0x51
 [<c0142376>] sys_statfs64+0x50/0x9f
 [<c01c3659>] tty_write+0x190/0x1bf
 [<c0116c71>] recalc_task_prio+0x128/0x133
 [<c026ac0c>] schedule+0x36c/0x389
 [<c026c35b>] syscall_call+0x7/0xb
Comment 2 Stephen White 2004-10-02 08:02:23 EDT
They're not totally harmless.  On single CPU boxes they appear
harmless, but on SMP boxes they cause a several second delay accessing
the share.  After a number of accesses to the share ('ls' seems quite
reliable) the errors go away, and so do the delays.

I've not got any 'true' SMP boxes, but simple turning Hyperthreading
on and off in the BIOS on Pentium 4 boxes changes the behavour from
harmless to intolerable delays.
Comment 3 Stephen White 2004-11-28 09:25:52 EST
This appears to have been fixed by the latest 2.6.9 kernel update (see the 
dsicussion on https://bugzilla.redhat.com/beta/show_bug.cgi?id=131159)
Comment 4 Dave Jones 2005-04-16 01:36:47 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.